org.eclipse.rdf4j.sparqlbuilder.constraint

## Class Aggregate

- java.lang.Object
- - org.eclipse.rdf4j.sparqlbuilder.core.QueryElementCollection<T>
  - - org.eclipse.rdf4j.sparqlbuilder.core.StandardQueryElementCollection<Operand>
    - - org.eclipse.rdf4j.sparqlbuilder.constraint.Expression<Aggregate>
      - - org.eclipse.rdf4j.sparqlbuilder.constraint.Aggregate

- All Implemented Interfaces:
    Operand, Assignable, Groupable, Orderable, QueryElement

      public class Aggregate
      extends Expression<Aggregate>

  A SPARQL aggregate expression.
  See Also:
    SPARQL Aggregates

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.sparqlbuilder.constraint.Expression

      `operator`

    - ### Fields inherited from class org.eclipse.rdf4j.sparqlbuilder.core.QueryElementCollection

      `elements`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Aggregate` | `countAll()` If this is a `count` aggregate expressions, specify that it should count all
    `Aggregate` | `countAll(boolean countAll)` If this is a `count` aggregate expressions, specify if it should count all
    `Aggregate` | `distinct()` Specify this aggregate expression to be distinct
    `Aggregate` | `distinct(boolean isDistinct)` Specify if this aggregate expression should be distinct or not
    `String` | `getQueryString()`
    `Aggregate` | `separator(String separator)` If this is a `group_concat` aggregate expression, specify the separator to use

    - ### Methods inherited from class org.eclipse.rdf4j.sparqlbuilder.constraint.Expression

      `parenthesize, parenthesize`

    - ### Methods inherited from class org.eclipse.rdf4j.sparqlbuilder.core.StandardQueryElementCollection

      `printBodyIfEmpty, printNameIfEmpty, resetWrapperMethod, setOperatorName, setOperatorName, setWrapperMethod`

    - ### Methods inherited from class org.eclipse.rdf4j.sparqlbuilder.core.QueryElementCollection

      `addElements, addElements, isEmpty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sparqlbuilder.core.Orderable

      `asc, desc`

    - ### Methods inherited from interface org.eclipse.rdf4j.sparqlbuilder.core.Assignable

      `as`

- - ### Method Detail

    - #### distinct

          public Aggregate distinct()

      Specify this aggregate expression to be distinct
      Returns:
        this aggregate instance

    - #### distinct

          public Aggregate distinct(boolean isDistinct)

      Specify if this aggregate expression should be distinct or not
      Parameters:
        `isDistinct` - if this aggregate should be distinct
      Returns:
        this aggregate instance

    - #### countAll

          public Aggregate countAll()

      If this is a `count` aggregate expressions, specify that it should count all
      Returns:
        this aggregate instance

    - #### countAll

          public Aggregate countAll(boolean countAll)

      If this is a `count` aggregate expressions, specify if it should count all
      Parameters:
        `countAll` - if this should count all arguments or not
      Returns:
        this aggregate instance

    - #### separator

          public Aggregate separator(String separator)

      If this is a `group_concat` aggregate expression, specify the separator to use
      Parameters:
        `separator` - the separator to use
      Returns:
        this aggregate instance
      See Also:
        group_concat()

    - #### getQueryString

          public String getQueryString()

      Specified by:
        `getQueryString` in interface `QueryElement`
      Overrides:
        `getQueryString` in class `StandardQueryElementCollection<Operand>`
      Returns:
        the String representing the SPARQL syntax of this element

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.